user nginx;
pid /run/nginx.pid;
worker_processes 1;
error_log /dev/stderr warn;

events {
	worker_connections 1024;
}

http {
	include mime.types;
	default_type application/octet-stream;

	access_log off;
	server_tokens off;
	client_max_body_size 100m;
	sendfile on;
	send_timeout 300;

	server {
		listen 8002;
		server_name localhost;

		location /favicon.ico {
			root /srv/pandora/static;
		}

		location /static/ {
			root /srv/pandora;
			autoindex off;
		}

		location /data/ {
			internal;
			root /srv/pandora;
		}

		location / {
			proxy_set_header X-Forwarded-For $remote_addr;
			proxy_set_header X-Forwarded-Host $host:$server_port;
			proxy_set_header X-Forwarded-Proto $scheme;
			proxy_redirect off;
			proxy_buffering off;
			proxy_connect_timeout 300;
			proxy_send_timeout 300;
			proxy_read_timeout 300;
			if (!-f $request_filename) {
				proxy_pass http://127.0.0.1:2620;
				break;
			}
		}

		error_page 400 /;
		error_page 404 /404.html;
		location /404.html {
			root /srv/pandora/static/html;
		}

		error_page 500 502 503 504 /50x.html;
		location /50x.html {
			root /srv/pandora/static/html;
		}
	}
}
